Bug 59383 - src/glsl/tests/Makefile.am missing $(top_srcdir)/include
Summary: src/glsl/tests/Makefile.am missing $(top_srcdir)/include
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: 9.0
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 23:22 UTC by compguy284
Modified: 2013-01-20 15:05 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
patch file (336 bytes, text/plain)
2013-01-14 23:22 UTC, compguy284
Details
tests: AM_CPPFLAGS must include $(top_srcdir) instead of $(top_builddir) (2.19 KB, patch)
2013-01-15 11:07 UTC, Andreas Boll
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description compguy284 2013-01-14 23:22:37 UTC
Created attachment 73031 [details]
patch file

during make check the glsl tests cannot file GL/gl.h on fresh install.
the attached patch fixes this issue for me.

make[4]: Leaving directory `/home/mcguyver/src/Mesa-9.0.1/src/mesa/main/tests'
make[3]: Leaving directory `/home/mcguyver/src/Mesa-9.0.1/src/mesa/main/tests'
make -C src/glsl/tests check
make[3]: Entering directory `/home/mcguyver/src/Mesa-9.0.1/src/glsl/tests'
make  ralloc-test uniform-initializer-test
make[4]: Entering directory `/home/mcguyver/src/Mesa-9.0.1/src/glsl/tests'
x86_64-pc-linux-gnu-g++ -DPACKAGE_NAME=\"Mesa\" -DPACKAGE_TARNAME=\"mesa\" -DPACKAGE_VERSION=\"9.0.1\" -DPACKAGE_STRING=\"Mesa\ 9.0.1\" -DPACKAGE_BUGREPORT=\"https://bugs.freedesktop.org/enter_bug.cgi\?product=Mesa\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mesa\" -DVERSION=\"9.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DYYTEXT_POINTER=1 -DHAVE_LIBEXPAT=1 -DHAVE_LIBXCB_DRI2=1 -I.  -I../../../src/gtest/include -I../../../src/mesa -I../../../src/mapi -I../../../src/glsl   -march=native -pipe -O2 -Wall -fno-strict-aliasing -fno-builtin-memcmp -m64  -c -o ralloc_test.o ralloc_test.cpp
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"Mesa\" -DPACKAGE_TARNAME=\"mesa\" -DPACKAGE_VERSION=\"9.0.1\" -DPACKAGE_STRING=\"Mesa\ 9.0.1\" -DPACKAGE_BUGREPORT=\"https://bugs.freedesktop.org/enter_bug.cgi\?product=Mesa\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mesa\" -DVERSION=\"9.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DYYTEXT_POINTER=1 -DHAVE_LIBEXPAT=1 -DHAVE_LIBXCB_DRI2=1 -I.  -I../../../src/gtest/include -I../../../src/mesa -I../../../src/mapi -I../../../src/glsl   -march=native -pipe -O2 -Wall -std=c99 -Werror=implicit-function-declaration -Werror=missing-prototypes -fno-strict-aliasing -fno-builtin-memcmp -m64  -c -o ralloc_test-ralloc.o `test -f '../../../src/glsl/ralloc.c' || echo './'`../../../src/glsl/ralloc.c
/bin/sh ../../../libtool  --tag=CXX   --mode=link x86_64-pc-linux-gnu-g++  -march=native -pipe -O2 -Wall -fno-strict-aliasing -fno-builtin-memcmp -m64    -o ralloc-test ralloc_test.o ralloc_test-ralloc.o ../../../src/gtest/libgtest.la -lpthread 
libtool: link: x86_64-pc-linux-gnu-g++ -march=native -pipe -O2 -Wall -fno-strict-aliasing -fno-builtin-memcmp -m64 -o ralloc-test ralloc_test.o ralloc_test-ralloc.o  ../../../src/gtest/.libs/libgtest.a /usr/lib64/../lib64/libstdc++.so -lm -lpthread -Wl,-rpath -Wl,/usr/lib64/../lib64 -Wl,-rpath -Wl,/usr/lib64/../lib64
x86_64-pc-linux-gnu-g++ -DPACKAGE_NAME=\"Mesa\" -DPACKAGE_TARNAME=\"mesa\" -DPACKAGE_VERSION=\"9.0.1\" -DPACKAGE_STRING=\"Mesa\ 9.0.1\" -DPACKAGE_BUGREPORT=\"https://bugs.freedesktop.org/enter_bug.cgi\?product=Mesa\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mesa\" -DVERSION=\"9.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DYYTEXT_POINTER=1 -DHAVE_LIBEXPAT=1 -DHAVE_LIBXCB_DRI2=1 -I.  -I../../../src/gtest/include -I../../../src/mesa -I../../../src/mapi -I../../../src/glsl   -march=native -pipe -O2 -Wall -fno-strict-aliasing -fno-builtin-memcmp -m64  -c -o copy_constant_to_storage_tests.o copy_constant_to_storage_tests.cpp
In file included from ../../../src/mesa/main/mtypes.h:37:0,
                 from copy_constant_to_storage_tests.cpp:25:
../../../src/mesa/main/glheader.h:53:19: fatal error: GL/gl.h: No such file or directory
compilation terminated.
make[4]: *** [copy_constant_to_storage_tests.o] Error 1
make[4]: Leaving directory `/home/mcguyver/src/Mesa-9.0.1/src/glsl/tests'
make[3]: *** [check-am] Error 2
make[3]: Leaving directory `/home/mcguyver/src/Mesa-9.0.1/src/glsl/tests'
make[2]: *** [check-local] Error 2
make[2]: Leaving directory `/home/mcguyver/src/Mesa-9.0.1'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/home/mcguyver/src/Mesa-9.0.1'
make: *** [check-recursive] Error 1
Comment 1 Andreas Boll 2013-01-15 11:07:20 UTC
Created attachment 73072 [details] [review]
tests: AM_CPPFLAGS must include $(top_srcdir) instead of $(top_builddir)

Could you test the attached patch?
This patch has been committed to mesa master already.
I could cherry-pick it to the 9.0 branch.
Comment 2 compguy284 2013-01-15 17:26:59 UTC
Your attached patch did fix the tests for me.
Comment 3 Andreas Boll 2013-01-20 15:05:00 UTC
Pushed the fix to the 9.0 branch
http://cgit.freedesktop.org/mesa/mesa/commit/?h=9.0&id=d63e946587bb104e2b320fbebafe25bb969d01b8

It will be available in Mesa 9.0.2.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.